Subject: [aqm] Summary of WG discussion around draft-ietf-aqm-recommendations

From: "Scheffenegger, Richard" <[email-masked]>
Date: Thu, 24 Jul 2014 15:29:15 +0000

Group,
  
This is to quickly summarize the WG chairs understanding of the status 
of the above mentioned draft and next steps:
  
After the extensive discussion regarding the intended status and 
relation to RFC2309, a significant consensus has been reached to 
proceed by obsoleting RFC2309 with this new draft. The objections 
raised both on procedural grounds (RFC2309 was the output of the E2E 
group, best compared to an IRTF document today), and content status 
("invalidating" RED) have been thoroughly looked at. The conclusion 
Reached is that the document should proceed becoming a BCP that 
obsoletes the older recommendations, instead of updating them and 
potentially creating confusion.
  
The Chairs believe that after this extensive discussions, the path 
forward is clear and there exists consensus on that.
 
The authors will do a final update reflecting this intended status and 
relation to the older document, and once that is done, we will proceed 
with submitting it for IESG review, as the WGLC has been concluded with
the above result.

Richard Scheffenegger

---

From: John Leslie <[email-masked]>
Date: Thu, 24 Jul 2014 13:08:57 -0400

Scheffenegger, Richard <[email-masked]> wrote:
> proceed by obsoleting RFC2309 with this new draft.

   (I did not, and do not, join that consensus.)

> The objections raised both on procedural grounds (RFC2309 was the
> output of the E2E group, best compared to an IRTF document today),

   I am genuinely interested in who raise that objection (I didn't).

> and content status ("invalidating" RED) have been thoroughly looked
> at.

   I'll try to restate my impression of that part:
- several folks did not want to "invalidate RED" at this stage of our
  work, but understood we might recommend against it in the future;
- the authors stated an intent to supersede the recommendation to use
  RED as quickly as possible;
- someone else said that there is no such recommendation in 2309.

> The conclusion Reached is that the document should proceed becoming
> a BCP that obsoletes the older recommendations, instead of updating
> them and potentially creating confusion.

   IMHO, the document as it stands remains confusing -- because the
reader has to guess the intent of seemingly-small wording changes,
instead of having a clear statement of what we intend to supersede.

> forward is clear and there exists consensus on that.

   This "extensive discussion" seems to have entirely avoided the
point I _did_ raise: that the document would be a lot easier to read
if we didn't have to carry over text from 2309.

   Perhaps I _am_ in the rough, but it seems to me I'm not the only
person who has been ignored here.

> with submitting it for IESG review, as the WGLC has been concluded with

   I don't intend to formally appeal this statement of consensus (though
I would appreciate the Document Shepherd noting the consensus is "rough");
but I will have to raise a few of my points during IETF Last-Call. :^(

--
John Leslie <[email-masked]>

---

From: "Scheffenegger, Richard" <[email-masked]>
Date: Thu, 24 Jul 2014 17:36:58 +0000

Hi John,

>    I don't intend to formally appeal this statement of consensus (though I
> would appreciate the Document Shepherd noting the consensus is "rough");

Noted, your objection will be included in the shepherd write-up for the IESG.

>    I am genuinely interested in who raise that objection (I didn't).

Let me rephrase this - it was not so much as an objection by one specific person, but an open question which was considered between the Authors, WG chairs, ADs and the IRTF chair.

Also, the authors are still busy working on an update which includes your earlier points, in particular the relationship between this document and RFC2309, and your other suggestions.

I will follow up with you to see, if at least some of the concerns you have with -06 will have been addressed in the upcoming -07 revision.

Best regards,

Richard Scheffenegger